apiVersion: v1
kind: Secret
metadata:
  name: metrics-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  STARROCKS_HOST: {{ .Values.metrics.configs.starrocksHost | b64enc | quote }}
  STARROCKS_PORT: {{ .Values.metrics.configs.starrocksPort | toString | b64enc | quote }}
  STARROCKS_USER: {{ .Values.metrics.configs.starrocksUser | b64enc | quote }}
  STARROCKS_PASSWORD: {{ .Values.metrics.configs.starrocksPassword | b64enc | quote }}
  STARROCKS_DATABASE: {{ .Values.metrics.configs.starrocksDatabase | b64enc | quote }}
  PROMETHEUS_ENDPOINT: {{ .Values.metrics.configs.prometheusEndpoint | b64enc | quote }}